FACES(1L)

NAME
faces - visual mail and print face server for the Sun workstation

SYNOPSIS
faces [ -P printer ] [ -a ] [ -b background ] [ -f facedir ] [ -i ] [ -n ] [ -p period ] [ -s spoolfile ] [ -t ] [ -u ] [ -v ] [ -Wi ] [ -Wp x y ] [ -WP x y ]

DESCRIPTION
faces is a window based tool for monitoring mail or print queues. It contains graphical interfaces for SunView and NeWS. It has three different modes of operation:

The default will monitor for new mail. Only the last ten messages are displayed. In its iconic form, it is also possible to display the timestamp of each message, and the open window format can give the username.

The second choice is to monitor the whole of a mail file. The icon and open window display the appropriate faces, and dynamically change size as a new check is made and if the mail file has altered size. In the iconic form, a timestamp of the last message plus the number of mail messages from this person are optional display parameters.

The final option allows this program to monitor a given print queue. This will generate a single face icon showing the job at the top of the print queue, and a text message will display the number of messages to be printed. Opening the window will show all the jobs in the queue with the owners' name and the size of the job in bytes.

There are special displays for no mail, no faces found, no print jobs, and no paper in the printer.

faces is based on the AT&T v8 program vismon. This program is not derived from vismon source.

There is a special faces directory containing a fixed three-level hierarchy, which by default is /usr/local/faces. The first level is a machine name, the second level a user name, and the third level is the actual face image, which can be stored in three formats. If the file is named 48x48x1 then it is a Blit ikon, and if it is called sun.icon then the image is stored in Sun icon format, and if the file is named face.ps then it contains executable NeWS code.

To access the face for a mail name machine!uid take the result of the first successful open from the following list of files:

    /usr/local/faces/machine/uid/face.ps
    /usr/local/faces/machine/uid/sun.icon
    /usr/local/faces/machine/uid/48x48x1
    /usr/local/faces/misc./uid/face.ps
    /usr/local/faces/misc./uid/sun.icon
    /usr/local/faces/misc./uid/48x48x1
    /usr/local/faces/machine/unknown/face.ps
    /usr/local/faces/machine/unknown/sun.icon
    /usr/local/faces/machine/unknown/48x48x1
    /usr/local/faces/misc./unknown/face.ps
    /usr/local/faces/misc./unknown/sun.icon
    /usr/local/faces/misc./unknown/48x48x1

The directory misc. hold faces for generic users such as root and uucp.

Faces information is administered by a pair of ASCII files that associate related machines and faces. The machine table machine.tab attaches machines to communities; the line

    stard=sunaus

puts the machine stard in community sunaus. The people table associates a community/alias pair, with a real username.

    sunaus/rburridge=richb

causes the alias rburridge to be translated into the real username richb for the community sunaus

Domain name structure would be handled in the same way. For example:

    sunaus.sun.oz=sunaus

would map the full domain name in the community sunaus.

If the faces directory hierarchy is not found, then a blank face image will be used.

Note that you still need to use mailtool or some other mail reading utility to actually read the mail that this program monitors; faces simply displays who the mail is from.

When new mail arrives, faces will beep and flash appropriately, depending upon the set parameters in the users .mailrc file.

If you are using the NeWS version and creating face images of the face.ps form, then the following points should be noted:

    All graphics operations should be performed on the unit square.
    The final image will be translated to a 64 x 64 square image at
    the appropriate position in the faces display.

OPTIONS

-P printer
    Printer name to monitor. If this and a mail spool file are given with the -s option, faces will monitor the print queue.

-a  Monitor the whole of the specified mail file. The icon and open window display the appropriate faces, and dynamically change size as a new check is made and if the mail file has altered size.

-b background
    Sun icon file containing an alternate background pattern. The default is root grey.

-f facedir
    Use an alternate name for the faces directory. The default is /usr/local/faces.

-i  Invert the faces images before displaying them. For use by people who started SunView with the -i option.

-n  Do not display the number of messages from this person. The default is to display, and a count is shown at the bottom right corner of the face for this person.

-p period
    The period in seconds before the mail spool file or the print queue is scanned again for new mail. The default is 60 seconds.

-s spoolfile
    Use an alternate mail spool file to monitor. The default is /var/spool/mail/username where username is the name of the user currently logged in.

-t  Do not display a timestamp of the last message from this person. The default is to display, and a timestamp is shown at the bottom left corner of the face for this person.

-u  Do not display the username on the face icon. The default is to display, and the username will appear over the face icon, when the window is opened.

-v  Print the version number of this release of the faces program.

-Wi Start the faces program up in iconic form. SunView automatically uses this flag, but the NeWS version will also.

-Wp x y
    Start the open window position at x y

-WP x y
    Start the icon position at x y

FILES

/var/spool/mail
    directory for system mailboxes

/.mailrc
    mail startup file

/usr/local/faces
    main directory containing the face icons.

/usr/local/faces/people.tab
    people/file equivalences

/usr/local/faces/machine.tab
    machine/community equivalences

BUGS
The machine and people table lookup is hopelessly inefficient and will need to be improved as the faces database gets larger.
If the window/icon for the NeWS version is moved, then the window or icon is redrawn at the original position.

AUTHOR
Rich Burridge, DOMAIN: richb@sunaus.oz.au
PHONE: +61 2 413 2666   UUCP:   {uunet,mcvax,ukc}!munnari!sunaus.oz!richb